Getting web app to recognize specific java version

Issues related to applications and software problems
Post Reply
phil.e
Posts: 35
Joined: 2018/02/13 20:28:14

Getting web app to recognize specific java version

Post by phil.e » 2018/07/10 19:37:35

Hello,

I have a web app for a Dell Equallogic management console that requires Java SE 6 Update 31 or later.

Java 1.6 wasn't installed in the system - the java installed is 1.7 and 1.8 (1.8 is the default).

I got a legacy copy of Java 1.6-45 from the Oracle website and installed that. The "install" was actually just an un-tarring of the bin file in the /opt directory where I copied it to.

I added /opt/jre1.6.0_45/bin to the PATH statement, and "echo $PATH" now includes the /opt/jre1.6.0_45/bin folder.

But when I try to access the Dell Management console (using firefox), I'm still getting that "Group Manager requires Java SE 6 Update 31 or later" error.

I'm guessing Firefox is trying to use the default Java (1.8) and not recognizing 1.6 is somewhere else on the system.

How can I get firefox to use this new 1.6 Java version?

Phil.e

aks
Posts: 2558
Joined: 2014/09/20 11:22:14

Re: Getting web app to recognize specific java version

Post by aks » 2018/07/14 09:42:22

Can't you use the JAVA_HOME and JRE_HOME variables? Create a user overwrite those variables and launch firefox with those variables set (i.e.: as the user). That *might* work. Otherwise I guess it's up to the plugin in firefox.

User avatar
TrevorH
Forum Moderator
Posts: 23871
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Getting web app to recognize specific java version

Post by TrevorH » 2018/07/14 10:19:22

You could also look to see if there are firmware updates available for the dell kit. I've had errors like that that went away once it was running more recent firmware.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply